I did a clean install of 1.8.13 on Windows 10 oro and I can not compile anything because is is looking for hardware/cores that no longer exist.

Every time I try to compile anything I get: loading hardware from C:\Program Files (x86)\Arduino\hardware: loading package mighty-1284P: invalid version dir C:\Program Files (x86)\Arduino\hardware\mighty-1284P\mighty-1284p-1.6.3\avr: no major version found

I looked in the registry and the environmental variables and could not find anything.
I have not had that hardware installed and have tried doing fresh IDE installs and also using CC cleaner. I can not find the GCC environment variable to delete so I am not sure where to find the setting to get rid fo the "mightly 1284P" hardware.

I don't have this issue with the "APP" from the APP store.

Because Teensyduino does not work with the Windows APP I can not compile anything for my Teensy 3.2 or 3.6?

I also was looking at starting with the 4.1 for a CAN logger project but I can not because I can't compile anything.

Any ideas?



Thanks